Described in this article, it seems like you still will be needing E3 with DFE add-on, or E5 for all users: https://docs.microsoft.com/en-us/microsoft-365/security/defender-endpoint/minimum-requirements?view=... However, i would contact MS or your license reseller to clear it out as it's a bit unclear/undocumented.
www.000webhost.com